This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 300651 - Review Request: baekmuk-ttf-fonts - Korean truetype fonts (from fonts-korean)
Review Request: baekmuk-ttf-fonts - Korean truetype fonts (from fonts-korean)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks: F8Target 253155 302451
  Show dependency treegraph
 
Reported: 2007-09-21 11:53 EDT by Jens Petersen
Modified: 2010-01-13 01:38 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 04:31:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2007-09-21 11:53:29 EDT
Spec URL: http://fedorapeople.org/petersen/baekmuk-ttf/baekmuk-ttf-fonts.spec
SRPM URL: http://fedorapeople.org/petersen/baekmuk-ttf/baekmuk-ttf-fonts-2.2-1.fc7.src.rpm [28MB]

Description:
Free Korean Hangul truetype fonts in Batang, Dotum, Gulim and Headline faces.

These fonts are being split out of fonts-korean into a separate package
reflecting the upstream project name clearly.
Comment 1 Jens Petersen 2007-09-21 11:57:20 EDT
oops please use these corrects urls:

Spec URL: http://petersen.fedorapeople.org/baekmuk-ttf/baekmuk-ttf-fonts.spec
SRPM URL:
http://petersen.fedorapeople.org/baekmuk-ttf/baekmuk-ttf-fonts-2.2-1.fc7.src.rpm
[28MB]
Comment 2 Jens Petersen 2007-09-21 11:58:56 EDT
If possible I would really like to get this included in f8test3 since
fonts-korean is a very large package (actually the largest font package
in the distro iirc).
Comment 3 Jens Petersen 2007-09-21 12:04:44 EDT
I just sent the license file to fedora-legal for classification.


Removed tabs from .spec file (only):
http://petersen.fedorapeople.org/baekmuk-ttf/baekmuk-ttf-fonts.spec
Comment 4 Jens Petersen 2007-09-21 21:11:41 EDT
The license is now on the Licensing page as Baekmuk:

Spec URL: http://fedorapeople.org/petersen/baekmuk-ttf/baekmuk-ttf-fonts.spec
SRPM URL:
http://fedorapeople.org/petersen/baekmuk-ttf/baekmuk-ttf-fonts-2.2-2.fc7.src.rpm
[28MB]
Comment 5 Mamoru TASAKA 2007-09-23 04:25:18 EDT
Some remarks and questions

* Use "-p" option for "cp" or "install" to keep timestamp
? So FAPIcidfmap.ko and cidfmap.ko, COPYRIGHT* README are instaled
  in each subpackage?
? Why can each subpackage have "Provides: ttfonts-ko = %{ttfontverhead}"?
  I guess only when all subpackages are installed, they can provide
  "ttfonts-ko = %{ttfontverhead}" for consistency with the state before
  kkfonts related packages are seperated?
* /etc should be %_sysconfdir
? What happens if /usr/bin/fc-cache fails by some reason?
Comment 6 Jens Petersen 2007-09-23 20:01:43 EDT
(In reply to comment #5)
> * Use "-p" option for "cp" or "install" to keep timestamp

Not sure what you mean here: I don't see any cp usage currently in .spec.

> ? So FAPIcidfmap.ko and cidfmap.ko, COPYRIGHT* README are instaled
>   in each subpackage?

Currently, yes.  Installing the CID fmap files in each package is not ideal,
but I can't see a better way without introducing some messy scripts say
and it should not have any particular adverse affects I think.
The %doc files are all small so I don't see a big problem with duplicating
them in each subpackage.

> ? Why can each subpackage have "Provides: ttfonts-ko = %{ttfontverhead}"?
>   I guess only when all subpackages are installed, they can provide
>   "ttfonts-ko = %{ttfontverhead}" for consistency with the state before
>   kkfonts related packages are seperated?

Ok, let me remove the Provides.

> * /etc should be %_sysconfdir

ah yes, thanks

> ? What happens if /usr/bin/fc-cache fails by some reason?

Shrug, I am just using the standard Font scriptlets, but if you want
I can protect the fc-cache invocations in %post and %postun.


Spec URL: http://fedorapeople.org/petersen/baekmuk-ttf/baekmuk-ttf-fonts.spec
SRPM URL:
http://fedorapeople.org/petersen/baekmuk-ttf/baekmuk-ttf-fonts-2.2-3.fc7.src.rpm
[28MB]
Comment 7 Mamoru TASAKA 2007-09-23 21:24:23 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > * Use "-p" option for "cp" or "install" to keep timestamp
> 
> Not sure what you mean here: I don't see any cp usage currently in .spec.

* For example,
--------------------------------------------------------
  install -m 0644 ttf/$i.ttf $RPM_BUILD_ROOT%{ttfontdir}-$i
--------------------------------------------------------
  Here "install -m 0644" should be "install -p -m 0644".

> 
> > ? So FAPIcidfmap.ko and cidfmap.ko, COPYRIGHT* README are instaled
> >   in each subpackage?
> 
> Currently, yes.  Installing the CID fmap files in each package is not ideal,
> but I can't see a better way without introducing some messy scripts say
> and it should not have any particular adverse affects I think.

* I think you should 
  - introduce a base package (say: "baekmuk-ttf-fonts-base"), 
  - and have CIP fmap, copying file and other files owned by -base
    package
  - and have other subpackages require -base package.

 
> > ? Why can each subpackage have "Provides: ttfonts-ko = %{ttfontverhead}"?
> >   I guess only when all subpackages are installed, they can provide
> >   "ttfonts-ko = %{ttfontverhead}" for consistency with the state before
> >   kkfonts related packages are seperated?
> 
> Ok, let me remove the Provides.
? This means you will write "Provides: ttfonts-ko = <somever>" in
  original fonts-korean package (and make fonts-korean require
  all baekmuk fonts subpackages)?

> Spec URL: http://fedorapeople.org/petersen/baekmuk-ttf/baekmuk-ttf-fonts.spec
? By the way the URL above is not accessible from me. Instead
  http://petersen.fedorapeople.org/baekmuk-ttf/baekmuk-ttf-fonts.spec
  works.
Comment 8 Jens Petersen 2007-09-23 22:00:48 EDT
(In reply to comment #7)
>   Here "install -m 0644" should be "install -p -m 0644".

Ok, thanks - fixing. :)

>   - introduce a base package (say: "baekmuk-ttf-fonts-base"), 
>   - and have CIP fmap, copying file and other files owned by -base
>     package
>   - and have other subpackages require -base package.

Ok, thanks for that - good idea.  I called it -common for now.

> > Ok, let me remove the Provides.
> ? This means you will write "Provides: ttfonts-ko = <somever>" in
>   original fonts-korean package (and make fonts-korean require
>   all baekmuk fonts subpackages)?

fonts-korean will require all the baekmuk packages for the time being yes
(certainly for F8).  I am kind of tempted to just drop the ttfonts-ko provides
though, since we don't really want to provide it forever, but if
necessary we could still provide it I suppose.

> > Spec URL: http://fedorapeople.org/petersen/baekmuk-ttf/baekmuk-ttf-fonts.spec
> ? By the way the URL above is not accessible from me. Instead
>   http://petersen.fedorapeople.org/baekmuk-ttf/baekmuk-ttf-fonts.spec
>   works.

Ugh, sorry about that: thought I was editing the fixed url.


Spec URL: http://petersen.fedorapeople.org/baekmuk-ttf/baekmuk-ttf-fonts.spec
SRPM URL:
http://petersen.fedorapeople.org/baekmuk-ttf/baekmuk-ttf-fonts-2.2-4.fc7.src.rpm
[28MB]
Comment 9 Mamoru TASAKA 2007-09-23 22:51:33 EDT
Well,
* Still CID fmap is owned by every subpackage.
? By the way, how do we treat the ownership of
  %_datadir/ghostscript/conf.d ?
  - On my system, currently the following packages owns
    %_datadir/ghostscript/conf.d
-------------------------------------------------------------
ghostscript-8.60-2.fc8
fonts-korean-2.2-4.fc8
fonts-japanese-0.20061016-11.fc8
-------------------------------------------------------------
   - Now as fonts-korean will require baekmuk fonts subpackages,
     baekmuk-ttf-fonts-common should own the directory?
   - IMO, in the future the ownership of the directory
     (%_datadir/ghostscript/fonts.d) should be moved to
     filesystem as well as %_datadir/ghostscript?
Comment 10 Mamoru TASAKA 2007-09-23 23:00:18 EDT
One more thing

* Please update the contents of CID fmap files.
  Currently They referes to /usr/share/fonts/korean/TrueType/batang.ttf
  or so.
Comment 11 Mamoru TASAKA 2007-09-23 23:21:37 EDT
One more thing
? Maybe it is better that -common package is marked as in conflict
  with "fonts-korean < 2.2-5" ?
Comment 12 Jens Petersen 2007-09-24 00:03:45 EDT
Thanks, Tasaka-san for all your good comments. :)

(In reply to comment #9)
> * Still CID fmap is owned by every subpackage.

Oops, fixing

> ? By the way, how do we treat the ownership of
>   %_datadir/ghostscript/conf.d ?
>    - Now as fonts-korean will require baekmuk fonts subpackages,
>      baekmuk-ttf-fonts-common should own the directory?

Agreed.  We don't want to require ghostscript.

>    - IMO, in the future the ownership of the directory
>      (%_datadir/ghostscript/fonts.d) should be moved to
>      filesystem as well as %_datadir/ghostscript?

Yes, that would probably be good, though then %_datadir/ghostscript
would have to be there too I guess.

> * Please update the contents of CID fmap files.
>   Currently They refer to /usr/share/fonts/korean/TrueType/batang.ttf ...

Thanks for catching that - I had forgotten about it.

> One more thing
> ? Maybe it is better that -common package is marked as in conflict
>   with "fonts-korean < 2.2-5" ?

Ok, thanks added that too.


Spec URL: http://petersen.fedorapeople.org/baekmuk-ttf/baekmuk-ttf-fonts.spec
SRPM URL:
http://petersen.fedorapeople.org/baekmuk-ttf/baekmuk-ttf-fonts-2.2-5.fc7.src.rpm
[28MB]
Comment 13 Jens Petersen 2007-09-24 00:14:38 EDT
>    - IMO, in the future the ownership of the directory
>      (%_datadir/ghostscript/fonts.d) should be moved to
>      filesystem as well as %_datadir/ghostscript?

I filed bug 302521 for this.
Comment 14 Mamoru TASAKA 2007-09-24 01:21:25 EDT
Okay.

-------------------------------------------------------
   This package (baekmuk-ttk-fonts) is APPROVED by me
-------------------------------------------------------

Note: tarball in -5 srpm seems broken (tarball in -4 srpm is okay)
Question:
      Maybe it is better COPYRIGHT.ks is converted to UTF-8
      (I don't know with what encoding this file is encoded)
Comment 15 Parag AN(पराग) 2007-09-24 01:35:51 EDT
mtasaka,
  Thanks for your quick review here. I have request to you. Sorry to ask here.
But  I can't see you on IRC. Can you also please review following Japanese font
packages please?
https://bugzilla.redhat.com/show_bug.cgi?id=266261
https://bugzilla.redhat.com/show_bug.cgi?id=253175
Comment 16 Jens Petersen 2007-09-24 02:09:50 EDT
Thanks for the quick thorough review. :)

(In reply to comment #14)
> Note: tarball in -5 srpm seems broken (tarball in -4 srpm is okay)

Sorry, I think it is because I went over my quota on fedorapeople. :-/

Just to confirm the correct source file is:
a6f4349179cbe3557641782cefba4d70  baekmuk-ttf-2.2.tar.gz

It is a bit worrying though if rpm doesn't know that the srpm is incomplete...

>       Maybe it is better COPYRIGHT.ks is converted to UTF-8
>       (I don't know with what encoding this file is encoded)

Thanks, I will convert it.
Comment 17 Jens Petersen 2007-09-24 02:13:53 EDT
New Package CVS Request
=======================
Package Name: baekmuk-ttf-fonts
Short Description: Korean TrueType fonts
Owners: cchance
Branches: devel
InitialCC: petersen
Cvsextras Commits: yes
Comment 18 Mamoru TASAKA 2007-09-24 02:20:39 EDT
(In reply to comment #15)
> mtasaka,
> Thanks for your quick review here. I have request to you. Sorry to ask here.
> But  I can't see you on IRC. Can you also please review following Japanese font
> packages please?
> https://bugzilla.redhat.com/show_bug.cgi?id=266261
> https://bugzilla.redhat.com/show_bug.cgi?id=253175

Well, I first try bug 302451 (IMO this can be accepted soon),
then try them
By the way, until what time are you checking review requests comments?

(In reply to comment #16)
> (In reply to comment #14)
> > Note: tarball in -5 srpm seems broken (tarball in -4 srpm is okay)
> Just to confirm the correct source file is:
> a6f4349179cbe3557641782cefba4d70  baekmuk-ttf-2.2.tar.gz
  This tarball is okay.
Comment 19 Parag AN(पराग) 2007-09-24 02:37:22 EDT
(In reply to comment #18)
> (In reply to comment #15)
> > mtasaka,
> > Thanks for your quick review here. I have request to you. Sorry to ask here.
> > But  I can't see you on IRC. Can you also please review following Japanese font
> > packages please?
> > https://bugzilla.redhat.com/show_bug.cgi?id=266261
> > https://bugzilla.redhat.com/show_bug.cgi?id=253175
> 
> Well, I first try bug 302451 (IMO this can be accepted soon),
> then try them
  Sure. Please.
> By the way, until what time are you checking review requests comments?
> 
  If I understood you correctly I am working in IST timezone 9.30 am to 6.30 pm


Comment 20 Jens Petersen 2007-09-24 02:49:26 EDT
cvsadmin done (except owner-sync-pkgdb, which is failing currently)

imported package to cvs
Comment 21 Jens Petersen 2007-09-24 04:31:10 EDT
baekmuk-ttf-fonts-2.2-6.fc8 built in koji now :)

Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.